%define	_name	wavelet-denoise

Name:		gimp-plugin-%{_name}
Version:	0.3.1
Release:	%mkrel 8
Summary:	Gimp plugin to reduce noise in each channel of an image separately
Url:		http://registry.gimp.org/node/4235
Source:		http://registry.gimp.org/files/%{_name}-%{version}.tar.gz
Patch:		%{_name}-lib.patch
License:	GPLv2
Group:		Graphics/Editors and Converters
BuildRequires:	gimp-devel
Requires:	gimp
Provides:	%{_name}-gimp = %{version}-%{release}

%description
The wavelet denoise plugin is a tool to reduce noise in each channel
of an image separately. 
The default colour space to do denoising is YCbCr which has the 
advantage that chroma noise can be reduced without affecting image details. 
Denoising in CIELAB (L*a*b*) or RGB is available as an option. 
The user interface allows colour mode and preview channel selection. 
The denoising threshold can be set for each colour channel independently.

Features

    - User interface with preview is available
    - Amount of denoising for each channel is selectable
    - Possibility to denoise YCbCr or CIELAB channels instead of RGB exists
    - Noise profiling is done
    - Conversion from RGB to YCbCr and RGB to CIELAB is lossless
    - Preview is capable of displaying one single channel only if desired
    - User interface in multiple languages is available
%prep
%setup -q -n %{_name}-%{version}
%autopatch -p0

%build
%make

%install
for i in `find po -name "*.po"`;
do
	lang=`basename $i`
	lang=${lang/\.po/}
	install -D -d -m 755 %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
make -C po install LOCALEDIR=%{buildroot}%{_datadir}/locale
%find_lang gimp20-%{_name}-plug-in
install -Dm 755 src/%{_name} %{buildroot}%{_libdir}/gimp/2.0/plug-ins/%{_name}

%files -f gimp20-%{_name}-plug-in.lang
%doc COPYING AUTHORS ChangeLog THANKS README TRANSLATIONS
%{_libdir}/gimp/2.0/plug-ins/%{_name}


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.3.1-8.mga6
+ Revision: 937868
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 743808
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 679583
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 521753
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.3.1-4.mga3
+ Revision: 391843
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 18 2012 matteo <matteo> 0.3.1-3.mga2
+ Revision: 197838
- fixed provides

* Wed Jan 18 2012 matteo <matteo> 0.3.1-2.mga2
+ Revision: 197809
- fixed unversioned provide
- fixed descriptions (rpmlint warnings)

* Tue Jan 17 2012 matteo <matteo> 0.3.1-1.mga2
+ Revision: 197490
- imported package gimp-plugin-wavelet-denoise

